com.google.cloud.dataflow.examples

## Class MinimalWordCount

- java.lang.Object
- - com.google.cloud.dataflow.examples.MinimalWordCount

    public class MinimalWordCount
    extends Object

An example that counts words in Shakespeare.

This class, `MinimalWordCount`, is the first in a series of four successively more detailed 'word count' examples. Here, for simplicity, we don't show any error-checking or argument processing, and focus on construction of the pipeline, which chains together the application of core transforms.

Next, see the `WordCount` pipeline, then the `DebuggingWordCount`, and finally the `WindowedWordCount` pipeline, for more detailed examples that introduce additional concepts.

Concepts:

       1. Reading data from text files
       2. Specifying 'inline' transforms
       3. Counting a PCollection
       4. Writing data to Cloud Storage as text files

To execute this pipeline, first edit the code to set your project ID, the staging location, and the output location. The specified GCS bucket(s) must already exist.

Then, run the pipeline as described in the README. It will be deployed and run using the Dataflow service. No args are required to run the pipeline. You can see the results in your output bucket in the GCS browser.

### Constructor Summary

Constructors
Constructor and Description
`MinimalWordCount()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MinimalWordCount

    public MinimalWordCount()

### Method Detail

#### main

    public static void main(String[] args)